はじめに

CentOS7にPHP7をソースからコンパイルしようと思って作業をしていたら早速コンパイルエラー発生。

PHP7は公式サイトからtarballをダウンロードして解凍後、コンパイルオプションを複数 付けてコンパイルしていたのですが、とりあえずオプション無しで単純にコンパイルしてみても同じ。

オプションに因るものではなかったので少し調べてみました。

事象

PHPをソースからコンパイルすると下記エラーが発生。

No package ‘sqlite3’ found

とりあえず、yumでインストールしてみます。

# yum install sqlite
Package sqlite-3.7.17-8.el7_7.1.x86_64 already installed and latest version
Nothing to do

既にインストール済みですね。

もう少しコンパイルエラーを見るとどうやらsqlite3のバージョンについて表示されていますが、 3.7.17なので問題ないはずなんですが。。

checking for sqlite3 > 3.7.4... no
configure: error: Package requirements (sqlite3 > 3.7.4) were not met:

No package 'sqlite3' found

原因

sqlite-develパッケージが不足していました。

解決策

不足していたsqlite-develを以下の通りyumでインストールしたら解決しました。

# yum install sqlite-devel

再度、PHPをコンパイルしエラーが出なくなったことを確認。

まとめ

サーバをMinimumから構築すると不足分がところどころで出てきますね。

単純にササっと構築するだけであればパッケージでApacheやメールサーバ、DBサーバ等をインストールすればいいのですが、それでは味気ないですよね。

今回はsqliteのパッケージでしたが、ソースからコンパイルすると同じようなコンパイルエラーは
付き物だと思いますので、今回同様に不足分を探してインストールすれば解決できると思います。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください